<?php
/**
* @package RSComments!
* @copyright (C) 2014 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

class RSCommentsViewEmoticons extends JViewLegacy
{
	public function display($tpl = null) {
		$this->items 		= $this->get('Items');

		$this->addScripts();
		$this->addToolbar();
		
		$this->sidebar 		= $this->get('SideBar');
		parent::display($tpl);
	}

	protected function addToolbar() {
		JToolBarHelper::title(JText::_('COM_RSCOMMENTS_EMOTICONS'), 'rscomment');

		// add Menu in sidebar
		require_once JPATH_COMPONENT.'/helpers/toolbar.php';
		RSCommentsToolbarHelper::addToolbar('emoticons');

		JFactory::getDocument()->addScript(JURI::root(true).'/administrator/components/com_rscomments/assets/js/scripts.js');
		
		JToolBarHelper::addNew('emoticons.add');
		JToolBarHelper::preferences('com_rscomments');
	}
	
	protected function addScripts() {
		if (!RSCommentsHelper::isJ3()) {
			JFactory::getDocument()->addScript('components/com_rscomments/assets/js/jquery-1.11.1.min.js');
			JFactory::getDocument()->addScript('components/com_rscomments/assets/js/jquery.noConflict.js');
		}
	}
}