<?php
/**
* @package RSComments!
* @copyright (C) 2014 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

class RSCommentsModelRSComments extends JModelLegacy
{
	public function __construct($config = array())  {
		parent::__construct($config);
	}
	
	public function getCode() {
		$code = RSCommentsHelper::getConfig('global_register_code');
		return $code;
	}
	
	public function getLatestComments() {
		$db 	= JFactory::getDbo();
		$query 	= $db->getQuery(true);

		$query->select('*')
			->from($db->qn('#__rscomments_comments'))
			->order($db->qn('IdComment').' DESC');
			
		$db->setQuery($query, 0, 5);
		return $db->loadObjectList();
	}
}