<?php
/**
* @package RSComments!
* @copyright (C) 2014 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

class RSCommentsViewComponents extends JViewLegacy
{
	protected $items;
	protected $filterbar;
	protected $pagination;

	public function display($tpl = null) {
		// Add custom scripts
		$this->addScripts();

		$this->items 		= $this->get('Items');
		$this->pagination 	= $this->get('Pagination');
		$this->filterbar 	= $this->get('FilterBar');
		
		$this->state		= $this->get('State');
		$this->search		= $this->state->get('components.filter.search');

		parent::display($tpl);
	}

	protected function addScripts() {
		if (!RSCommentsHelper::isJ3()) {
			JFactory::getDocument()->addScript('components/com_rscomments/assets/js/jquery-1.11.1.min.js');
			JFactory::getDocument()->addScript('components/com_rscomments/assets/js/jquery.noConflict.js');
		}
	}
}