<?php
/**
* @package RSComments!
* @copyright (C) 2014 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

class RSCommentsViewRscomments extends JViewLegacy
{
	protected $sidebar;
	protected $code;
	protected $latest_com;
	
	public function display($tpl = null) {
		$this->sidebar 				= RSCommentsHelper::isJ3() ? JHtmlSidebar::render() : '';
		$this->code					= $this->get('Code');
		$this->latest_com			= $this->get('LatestComments');
		$this->version				= (string) new RSCommentsVersion();

		$this->addToolbar();
		parent::display($tpl);
	}
	
	protected function addToolbar() {
		JToolBarHelper::title('RSComments!','rscomments');
		JToolBarHelper::preferences('com_rscomments');
		
		require_once JPATH_COMPONENT.'/helpers/toolbar.php';
		RSCommentsToolbarHelper::addToolbar('overview');
	}
}