<?php
/**
* @package RSComments!
* @copyright (C) 2014 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.keepalive'); ?>

<script type="text/javascript">
	Joomla.submitbutton = function(task) {
		if (document.getElementById('report').value == '') {
			alert('<?php echo JText::_('COM_RSCOMMENTS_INVALID_REPORT_FORM',true); ?>');
			return false;
		} else {
			Joomla.submitform(task);
		}
	}
</script>

<form action="<?php echo RSCommentsHelper::route('index.php?option=com_rscomments'); ?>" method="post" name="adminForm" id="adminForm">
	<div <?php if (RSCommentsHelper::isJ3()) { ?>class="well"<?php } else { ?> id="mailto-window" <?php } ?>>
		<div class="row-fluid">
			<div class="control-group">
				<div class="control-label">
					<label for="name"><?php echo JText::_('COM_RSCOMMENTS_REPORT_REASON'); ?></label>
				</div>
				<div class="controls">
					<textarea id="report" name="report" class="input-large" cols="45" rows="7"></textarea>
				</div>
			</div>
			
			<?php if ($this->config->enable_captcha_reports) { ?>
			<div class="control-group">
				<div class="control-label">
					<label for="submit_captcha">&nbsp;</label>
				</div>
				<div class="controls">
					<?php if($this->config->captcha == 0) { ?>
					<img src="<?php echo RSCommentsHelper::route('index.php?option=com_rscomments&task=captcha'); ?>" id="submit_captcha_image" alt="Antispam" height="80" />
						<span class="<?php echo RSTooltip::tooltipClass(); ?>" title="<?php echo RSTooltip::tooltipText(JText::_('COM_RSCOMMENTS_REFRESH_CAPTCHA_DESC')); ?>">
							<a style="border-style: none" href="javascript:void(0)" onclick="return rsc_refresh_captcha('<?php echo $this->root; ?>','<?php echo RSCommentsHelper::route('index.php?option=com_rscomments&task=captcha'); ?>');">
								<img src="<?php echo RSCommentsHelper::ImagePath('refresh.png'); ?>" alt="<?php echo JText::_('COM_RSCOMMENTS_REFRESH_CAPTCHA'); ?>" border="0" onclick="this.blur()" align="top" />
							</a>
						</span> <br />
						<input type="text" name="captcha" id="submit_captcha" size="40" value="" class="inputbox <?php echo RSTooltip::tooltipClass(); ?> required" title="<?php echo RSTooltip::tooltipText($this->config->captcha_cases ? JText::_('COM_RSCOMMENTS_CAPTCHA_CASE_SENSITIVE') : JText::_('COM_RSCOMMENTS_CAPTCHA_CASE_INSENSITIVE')); ?>" />
					<?php } else {
						require_once(JPATH_SITE.'/components/com_rscomments/helpers/recaptcha/recaptchalib.php');
						echo JReCAPTCHA::getHTML().'<span id="rsc_recaptcha">&nbsp;</span>';
					} ?>
				</div>
			</div>
			<?php } ?>
		</div>
		
		<div class="row-fluid">
			<button class="btn btn-primary button" type="button" onclick="Joomla.submitbutton('comments.report')"><?php echo JText::_('COM_RSCOMMENTS_REPORT'); ?></button>
			<button class="btn button" type="button" onclick="window.parent.SqueezeBox.close();"><?php echo JText::_('COM_RSCOMMENTS_CANCEL'); ?></button>
		</div>
	</div>

	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="id" value="<?php echo JFactory::getApplication()->input->getInt('id',0); ?>" />
</form>