<?php
/**
* @package RSComments!
* @copyright (C) 2014 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.keepalive');
JHtml::_('behavior.formvalidation'); ?>

<script type="text/javascript">
	Joomla.submitbutton = function(task) {
		if (document.formvalidator.isValid(document.id('adminForm'))) {
			Joomla.submitform(task);
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo RSCommentsHelper::route('index.php?option=com_rscomments'); ?>" method="post" name="adminForm" id="adminForm">
	<div <?php if (RSCommentsHelper::isJ3()) { ?>class="well"<?php } else { ?> id="mailto-window" <?php } ?>>
		<div class="row-fluid">
			<div class="control-group">
				<div class="control-label">
					<label for="name"><?php echo JText::_('COM_RSCOMMENTS_NAME'); ?></label>
				</div>
				<div class="controls">
					<input id="name" type="text" name="name" value="" size="40" class="inputbox required" /> 
				</div>
			</div>
		</div>
		
		<div class="row-fluid">
			<div class="control-group">
				<div class="control-label">
					<label for="email"><?php echo JText::_('COM_RSCOMMENTS_EMAIL'); ?></label>
				</div>
				<div class="controls">
					<input id="email" type="text" name="email" value="" size="40" class="inputbox required validate-email" /> 
				</div>
			</div>
		</div>
		
		<div class="row-fluid">
			<button class="btn btn-primary button" type="button" onclick="Joomla.submitbutton('comments.subscribeuser')"><?php echo JText::_('COM_RSCOMMENTS_SUBSCRIBE'); ?></button>
			<button class="btn button" type="button" onclick="window.parent.SqueezeBox.close();"><?php echo JText::_('COM_RSCOMMENTS_CANCEL'); ?></button>
		</div>
	</div>

	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="theoption" value="<?php echo JFactory::getApplication()->input->get('theoption'); ?>" />
	<input type="hidden" name="theid" value="<?php echo JFactory::getApplication()->input->getInt('id'); ?>" />
</form>